Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Autor Téma: Reakce Ubuntu na příkazy  (Přečteno 3617 krát)

Navar_a

  • Návštěvník
  • Příspěvků: 4
Reakce Ubuntu na příkazy
« kdy: 21 Dubna 2023, 09:16:18 »
PC - OS Windows 10; WSL 2 (nastaveno systemd=true); Ubuntu 22.04.

Jaká je to chyba a jak jí v Ubuntu opravit, když hlásí:

Kód: [Vybrat]
# ufw enable
---Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/ufw/util.py", line 427, in under_ssh
    ppid = get_ppid(pid)
  File "/usr/lib/python3/dist-packages/ufw/util.py", line 419, in get_ppid
    ppid = open(name).readlines()[0].split(')')[1].split()[1]
IndexError: list index out of range

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/sbin/ufw", line 138, in <module>
    not ui.continue_under_ssh():
  File "/usr/lib/python3/dist-packages/ufw/frontend.py", line 901, in
continue_under_ssh
    if self.backend.do_checks and ufw.util.under_ssh(): # pragma: no cover
  File "/usr/lib/python3/dist-packages/ufw/util.py", line 457, in under_ssh
    return under_ssh(ppid)
  File "/usr/lib/python3/dist-packages/ufw/util.py", line 457, in under_ssh
    return under_ssh(ppid)
  File "/usr/lib/python3/dist-packages/ufw/util.py", line 434, in under_ssh
    raise ValueError(err_msg)
ValueError: Couldn't find parent pid for '1622'

# ps -p $$ -o ppid=
---1622

# wget localhost:8001
---failed: Connection refused

# nc -zv localhost 8001
---nc: connect to localhost (127.0.0.1) port 8001 (tcp) failed:
Connection refused

# firewall-cmd --state
---failed
« Poslední změna: 21 Dubna 2023, 09:17:58 od Navar_a »

JirkaZ

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 1771
  • Dlouholetý uživatel Linuxu a open source obecně.
Re:Reakce Ubuntu na příkazy
« Odpověď #1 kdy: 21 Dubna 2023, 16:23:21 »
1 => 2

Nesáhnul jsem na klávesnici.

Nemáš zač.

 

Provoz zaštiťuje spolek OpenAlt.